
From: Jeff Dike <jdike@addtoit.com>

Make sure we print ERRNO and not always -1.

Signed-off-by: Paolo 'Blaisorblade' Giarrusso <blaisorblade_spam@yahoo.it>
Signed-off-by: Jeff Dike <jdike@addtoit.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/um/drivers/ubd_kern.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/um/drivers/ubd_kern.c~uml-print-errno-before-resetting-it arch/um/drivers/ubd_kern.c
--- 25/arch/um/drivers/ubd_kern.c~uml-print-errno-before-resetting-it	2004-09-23 00:08:16.943500160 -0700
+++ 25-akpm/arch/um/drivers/ubd_kern.c	2004-09-23 00:08:16.947499552 -0700
@@ -776,10 +776,10 @@ int ubd_driver_init(void){
 	io_pid = start_io_thread(stack + PAGE_SIZE - sizeof(void *), 
 				 &thread_fd);
 	if(io_pid < 0){
-		io_pid = -1;
 		printk(KERN_ERR 
 		       "ubd : Failed to start I/O thread (errno = %d) - "
 		       "falling back to synchronous I/O\n", -io_pid);
+		io_pid = -1;
 		return(0);
 	}
 	err = um_request_irq(UBD_IRQ, thread_fd, IRQ_READ, ubd_intr, 
_
